require 'erb'

module Twiddler
  class Rendering
    def initialize(config)
      @config = config
    end

    def embed(name)
      path = template_path(name)
      template = File::read(path)
      erb = ERB.new(template, nil, "%>")
      erb.filename = path
      mod = erb.def_module("render")
      @config.extend(mod)
    end

    def template_path(name)
      path = File::expand_path("../../templates/#{name}.erb", 
                               File::dirname(__FILE__))
    end
  end
end
